Bug 521247 - emulated pcnet nic in qemu-kvm has wrong PCI subsystem ID for Windows XP driver
Summary: emulated pcnet nic in qemu-kvm has wrong PCI subsystem ID for Windows XP driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Michael S. Tsirkin
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks: 579725 580140 Rhel5KvmTier2
TreeView+ depends on / blocked
 
Reported: 2009-09-04 13:53 UTC by Buck Huppmann
Modified: 2014-03-26 01:01 UTC (History)
6 users (show)

Fixed In Version: kvm-83-171.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 579725 580140 (view as bug list)
Environment:
Last Closed: 2011-01-13 23:11:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Buck Huppmann 2009-09-04 13:53:50 UTC
Description of problem:
Note:  This is not a problem on Debian, with kvm-72, but
apparently is on Red Hat, with kvm-83.  It may not even be
your bug, but just a serendipitous bug in the Debian ver-
sion that just happens to do what Windows expects/is conf-
figured to expect, and, since i can fix this pretty easily,
i'm mostly just throwing it out here in case it's useful
reference for somebody else, as i doubt that this is a re-
gression

A Windows(TM) XP image created using GHOST that boots up
fine on physical hardware (and on Debian, as noted previous-
ly) fails to detect the emulated pcnet NIC as the Allied Tele-
syn NIC for which it has a driver configured, so networking
fails, unless you manually configure the NIC to use the

This seems to be because the emulated pcnet NIC reports a
PCI subsystem ID of 20000000, whereas the driver wants 00000000,
and that's what Debian's KVM/QEMU gives it, as well

Version-Release number of selected component (if applicable):
kvm-83-105.el5

How reproducible:
Try to run a Windows XP image configured with the Allied
Telesyn driver (details below) with -net nic,model=pcnet

Steps to Reproduce:
1. /usr/libexec/qemu-kvm -net nic,model=pcnet
2.
3.
  
Actual results:
NIC not found by WinXP driver

Expected results:
NIC found by WinXP driver

Additional info:
Driver is
  Allied Telesyn AT-2450T/AT/BT/FT PCI 10Mb
  atnicm51.sys
  version 4.47.0, 7/2/2004

Comment 9 errata-xmlrpc 2011-01-13 23:11:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.